Subject: [yang-doctors] FAQ Entry: What should I do before asking YANG doctors

From: "Ersue, Mehmet (Nokia - DE/Munich)" <[email-masked]>
Date: Wed, 27 Jul 2016 18:33:04 +0000

Hi All,

we discussed in Berlin to add a first FAQ entry to explain what people should do before asking YANG doctors.

Please comment on the rough proposal below:

- First of all read RFC 6020 on "YANG - A Data Modeling Language for the Network Configuration Protocol (NETCONF)".

- If your answer is not in RFC6020bis please review following information:

    - Read the questions and answers in the FAQ below.
    - Read RFC 6087 on "Guidelines for Authors and Reviewers of YANG Data Model Documents"
    - Follow the tutorials:
        - Working with YANG Data Models at https://www.ietf.org/edu/technical-tutorials.html#yang<https://www.ietf.org/edu/technical-tutorials.html>
        - Network Configuration Management with NETCONF and YANG at https://www.ietf.org/edu/technical-tutorials.html#netconfandyang<https://www.ietf.org/edu/technical-tutorials.html>

     - But also RFC 6244 on "An Architecture for Network Management Using NETCONF and YANG"
     - You might be also interested to check additionally following pages in the Internet:
         - http://www.yang-central.org/
         - YANG related info at http://www.netconfcentral.org/

- If you still have questions write an email to [email-masked]<mailto:[email-masked]> and describe your question and issues with some examples.

Cheers,
Mehmet

Cheers,
Mehmet

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 28 Jul 2016 10:36:00 +0000

This looks good to me. I have one issue only. The first bullet refers to RFC 6020 and the second to 6020bis which is right now an I-D. Until 6020bis is approved, should this text refer to both?

Something like:

OLD:

NEW:

- First of all read RFC 6020 on "YANG - A Data Modeling Language for the Network Configuration Protocol (NETCONF)" (YANG 1.0) and https://datatracker.ietf.org/doc/draft-ietf-netmod-rfc6020bis/ (YANG 1.1) which is in IESG review.

- If your answer is not in RFC 6020 or in rfc6020bis please review following information:

Regards,

Dan

From: yang-doctors [mailto:[email-masked]] On Behalf Of Ersue, Mehmet (Nokia - DE/Munich)
Sent: Wednesday, July 27, 2016 9:33 PM
To: YANG Doctors
Subject: [yang-doctors] FAQ Entry: What should I do before asking YANG doctors

Hi All,

    - Read the questions and answers in the FAQ below.
    - Read RFC 6087 on "Guidelines for Authors and Reviewers of YANG Data Model Documents"
    - Follow the tutorials:
        - Working with YANG Data Models at https://www.ietf.org/edu/technical-tutorials.html#yang<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_edu_technical-2Dtutorials.html&d=CwMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=5NaLe1Fqc32RKR5Tb3QRBAPjm190rJhyJbuMvSXec8c&s=VcEIjGjXYclYN3vHbgZ6EZ4LhqkUtrZ45AwogwIXK7A&e=>
        - Network Configuration Management with NETCONF and YANG at https://www.ietf.org/edu/technical-tutorials.html#netconfandyang<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_edu_technical-2Dtutorials.html&d=CwMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=5NaLe1Fqc32RKR5Tb3QRBAPjm190rJhyJbuMvSXec8c&s=VcEIjGjXYclYN3vHbgZ6EZ4LhqkUtrZ45AwogwIXK7A&e=>

     - But also RFC 6244 on "An Architecture for Network Management Using NETCONF and YANG"
     - You might be also interested to check additionally following pages in the Internet:
         - http://www.yang-central.org/<https://urldefense.proofpoint.com/v2/url?u=http-3A__www.yang-2Dcentral.org_&d=CwMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=5NaLe1Fqc32RKR5Tb3QRBAPjm190rJhyJbuMvSXec8c&s=eYuY52ULiFA9TCQkP0cc7_tCLsl8ZHp4tpNaQ6Ly6Do&e=>
         - YANG related info at http://www.netconfcentral.org/<https://urldefense.proofpoint.com/v2/url?u=http-3A__www.netconfcentral.org_&d=CwMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=5NaLe1Fqc32RKR5Tb3QRBAPjm190rJhyJbuMvSXec8c&s=owKteRSZKeKpln6BcBOQyKpLkf14Sryq_colHkpsTHw&e=>

Cheers,
Mehmet

Cheers,
Mehmet

---

From: "Ersue, Mehmet (Nokia - DE/Munich)" <[email-masked]>
Date: Thu, 28 Jul 2016 11:14:34 +0000

Sounds good.
It was indeed inconsistent.

Cheers,
Mehmet

From: Romascanu, Dan (Dan) [mailto:[email-masked]]
Sent: Thursday, July 28, 2016 12:36 PM
To: Ersue, Mehmet (Nokia - DE/Munich) <[email-masked]>; YANG Doctors <[email-masked]>
Subject: RE: [yang-doctors] FAQ Entry: What should I do before asking YANG doctors

Something like:

OLD:

NEW:

Regards,

Dan

Hi All,

Cheers,
Mehmet

Cheers,
Mehmet

---

From: "Ersue, Mehmet (Nokia - DE/Munich)" <[email-masked]>
Date: Thu, 28 Jul 2016 14:56:44 +0000

Hi Dan, All,

please look for the entry in subject at the URL below:
https://trac.tools.ietf.org/area/ops/trac/wiki/yang-doctors

PS: I will provide in a parallel mail a proposal for how to organize the pages under YANG doctors entry page, etc.

Cheers,
Mehmet

Something like:

OLD:

NEW:

Regards,

Dan

Hi All,

Cheers,
Mehmet

Cheers,
Mehmet